# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_entitysearch 0.18.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_entitysearch".freeze
  s.version = "0.18.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_entitysearch" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Cognitive Services Entity Search Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/entities_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/entity_search_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/airport.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/answer_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/civic_structure.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_attribution.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_contractual_rule.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_license_attribution.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_link_attribution.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_media_attribution.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/contractual_rules_text_attribution.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entertainment_business.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entities.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entities_entity_presentation_info.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entity_query_scenario.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entity_scenario.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/entity_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/food_establishment.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/hotel.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/image_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/intangible.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/license.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/local_business.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/lodging_business.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/media_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/movie_theater.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/organization.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/place.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/places.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/postal_address.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/query_context.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/response_format.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/restaurant.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/search_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/search_results_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/structured_value.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/models/tourist_attraction.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_entitysearch/module_definition.rb".freeze, "lib/azure_cognitiveservices_entitysearch.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/entitysearch_latest_profile_client.rb".freeze, "lib/profiles/latest/entitysearch_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/entitysearch_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Entity Search.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
